Ubuntu

USB port keeps resetting optical mouse [was: Logitech mx500 mouse]

Reported by molgrum on 2008-06-28
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Declined for Lucid by Sebastien Bacher
Declined for Maverick by Sebastien Bacher

Bug Description

My USB mouse keeps freezing for 1-2 seconds, and then resetting itself automatically. I think the kernel might be doing some fishy stuff because it works in an older kernel flawlessly.
Also, if I set the DPI to 800, it is reset to 400 when it disconnects/reconnects itself, which is kinda annoying.

Ubuntu Hardy 8.04 LTS
Kernel 2.6.24-19-rt
Logitech mx500 USB mouse

kern.log says:
Jun 27 22:50:00 Kraftwerk kernel: [ 113.738703] /build/buildd/linux-2.6.24/debian/build/custom-source-rt/drivers/hid/usbhid/hid-core.c: input irq status -75 received
Jun 27 22:50:00 Kraftwerk kernel: [ 113.838714] hub 7-0:1.0: port 1 disabled by hub (EMI?), re-enabling...
Jun 27 22:50:00 Kraftwerk kernel: [ 113.838721] usb 7-1: USB disconnect, address 2
Jun 27 22:50:00 Kraftwerk kernel: [ 113.959589] usb 7-1: new low speed USB device using uhci_hcd and address 3
Jun 27 22:50:00 Kraftwerk kernel: [ 114.125403] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 22:50:00 Kraftwerk kernel: [ 114.142565] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input6
Jun 27 22:50:00 Kraftwerk kernel: [ 114.160452] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 22:57:04 Kraftwerk kernel: [ 537.734292] usb 7-1: USB disconnect, address 3
Jun 27 22:57:04 Kraftwerk kernel: [ 537.964053] usb 7-1: new low speed USB device using uhci_hcd and address 4
Jun 27 22:57:04 Kraftwerk kernel: [ 538.127285] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 22:57:04 Kraftwerk kernel: [ 538.144420] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input7
Jun 27 22:57:04 Kraftwerk kernel: [ 538.162805] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 22:57:24 Kraftwerk kernel: [ 557.579493] usb 7-1: USB disconnect, address 4
Jun 27 22:57:24 Kraftwerk kernel: [ 557.803264] usb 7-1: new low speed USB device using uhci_hcd and address 5
Jun 27 22:57:24 Kraftwerk kernel: [ 557.966603] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 22:57:24 Kraftwerk kernel: [ 557.983758] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input8
Jun 27 22:57:24 Kraftwerk kernel: [ 558.004261] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 22:58:11 Kraftwerk kernel: [ 605.199216] usb 7-1: USB disconnect, address 5
Jun 27 22:58:12 Kraftwerk kernel: [ 605.428977] usb 7-1: new low speed USB device using uhci_hcd and address 6
Jun 27 22:58:12 Kraftwerk kernel: [ 605.593953] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 22:58:12 Kraftwerk kernel: [ 605.611101] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input9
Jun 27 22:58:12 Kraftwerk kernel: [ 605.628734] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 23:00:33 Kraftwerk kernel: [ 747.050316] /build/buildd/linux-2.6.24/debian/build/custom-source-rt/drivers/hid/usbhid/hid-core.c: input irq status -75 received
Jun 27 23:00:34 Kraftwerk kernel: [ 747.274694] hub 7-0:1.0: port 1 disabled by hub (EMI?), re-enabling...
Jun 27 23:00:34 Kraftwerk kernel: [ 747.274702] usb 7-1: USB disconnect, address 6
Jun 27 23:00:34 Kraftwerk kernel: [ 747.401564] usb 7-1: new low speed USB device using uhci_hcd and address 7
Jun 27 23:00:34 Kraftwerk kernel: [ 747.564901] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 23:00:34 Kraftwerk kernel: [ 747.582056] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input10
Jun 27 23:00:34 Kraftwerk kernel: [ 747.601728] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 23:00:40 Kraftwerk kernel: [ 753.653023] usb 7-1: USB disconnect, address 7
Jun 27 23:00:41 Kraftwerk kernel: [ 754.228361] usb 7-1: new low speed USB device using uhci_hcd and address 9
Jun 27 23:00:41 Kraftwerk kernel: [ 754.391773] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 23:00:41 Kraftwerk kernel: [ 754.408929] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input11
Jun 27 23:00:41 Kraftwerk kernel: [ 754.431357] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 23:01:09 Kraftwerk kernel: [ 782.992894] usb 7-1: USB disconnect, address 9
Jun 27 23:01:10 Kraftwerk kernel: [ 783.489430] usb 7-1: new low speed USB device using uhci_hcd and address 10
Jun 27 23:01:10 Kraftwerk kernel: [ 783.655273] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 23:01:10 Kraftwerk kernel: [ 783.672440] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input12
Jun 27 23:01:10 Kraftwerk kernel: [ 783.690178] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 23:01:15 Kraftwerk kernel: [ 788.488001] usb 7-1: USB disconnect, address 10
Jun 27 23:01:15 Kraftwerk kernel: [ 788.970552] usb 7-1: new low speed USB device using uhci_hcd and address 11
Jun 27 23:01:16 Kraftwerk kernel: [ 789.133542] usb 7-1: configuration #1 chosen from 1 choice
Jun 27 23:01:16 Kraftwerk kernel: [ 789.150676] input: B16_b_02 USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input13
Jun 27 23:01:16 Kraftwerk kernel: [ 789.167422] input,hidraw0: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1

...etc etc etc...

Download full text (6.4 KiB)

This issue was solved by swapping my mouse, I suspect it was a glitch in the mouse hardware that caused this and not the Linux kernel.

--- Den tis 2008-07-29 skrev Brian Murray <email address hidden>:
Från: Brian Murray <email address hidden>
Ämne: [Bug 243707] Re: USB port keeps resetting Logitech mx500 mouse
Till: <email address hidden>
Datum: tisdag 29 juli 2008 20.09

** Changed in: linux (Ubuntu)
Sourcepackagename: None => linux
       Status: New => Incomplete

--
USB port keeps resetting Logitech mx500 mouse
https://bugs.launchpad.net/bugs/243707
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” source package in Ubuntu: Incomplete

Bug description:
My USB mouse keeps freezing for 1-2 seconds, and then resetting itself
automatically. I think the kernel might be doing some fishy stuff because it
works in an older kernel flawlessly.
Also, if I set the DPI to 800, it is reset to 400 when it
disconnects/reconnects itself, which is kinda annoying.

Ubuntu Hardy 8.04 LTS
Kernel 2.6.24-19-rt
Logitech mx500 USB mouse

kern.log says:
Jun 27 22:50:00 Kraftwerk kernel: [ 113.738703]
/build/buildd/linux-2.6.24/debian/build/custom-source-rt/drivers/hid/usbhid/hid-core.c:
input irq status -75 received
Jun 27 22:50:00 Kraftwerk kernel: [ 113.838714] hub 7-0:1.0: port 1 disabled
by hub (EMI?), re-enabling...
Jun 27 22:50:00 Kraftwerk kernel: [ 113.838721] usb 7-1: USB disconnect,
address 2
Jun 27 22:50:00 Kraftwerk kernel: [ 113.959589] usb 7-1: new low speed USB
device using uhci_hcd and address 3
Jun 27 22:50:00 Kraftwerk kernel: [ 114.125403] usb 7-1: configuration #1
chosen from 1 choice
Jun 27 22:50:00 Kraftwerk kernel: [ 114.142565] input: B16_b_02 USB-PS/2
Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input6
Jun 27 22:50:00 Kraftwerk kernel: [ 114.160452] input,hidraw0: USB HID v1.10
Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 22:57:04 Kraftwerk kernel: [ 537.734292] usb 7-1: USB disconnect,
address 3
Jun 27 22:57:04 Kraftwerk kernel: [ 537.964053] usb 7-1: new low speed USB
device using uhci_hcd and address 4
Jun 27 22:57:04 Kraftwerk kernel: [ 538.127285] usb 7-1: configuration #1
chosen from 1 choice
Jun 27 22:57:04 Kraftwerk kernel: [ 538.144420] input: B16_b_02 USB-PS/2
Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input7
Jun 27 22:57:04 Kraftwerk kernel: [ 538.162805] input,hidraw0: USB HID v1.10
Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 22:57:24 Kraftwerk kernel: [ 557.579493] usb 7-1: USB disconnect,
address 4
Jun 27 22:57:24 Kraftwerk kernel: [ 557.803264] usb 7-1: new low speed USB
device using uhci_hcd and address 5
Jun 27 22:57:24 Kraftwerk kernel: [ 557.966603] usb 7-1: configuration #1
chosen from 1 choice
Jun 27 22:57:24 Kraftwerk kernel: [ 557.983758] input: B16_b_02 USB-PS/2
Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input8
Jun 27 22:57:24 Kraftwerk kernel: [ 558.004261] input,hidraw0: USB HID v1.10
Mouse [B16_b_02 USB-PS/2 Optical Mouse] on usb-0000:00:1d.2-1
Jun 27 22:58:11 Kraftwerk kernel: [ 605.199216] usb 7-1: USB disconnect,
addre...

Read more...

This bug report is being closed due to your last comment regarding this being fixed with different hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the drop down box. You can learn more about bug statuses at http://wiki.ubuntu.com/Bugs/Status . Thank you again for taking the time to report this bug and helping to make Ubuntu better. Feel free to submit any future bugs you may find.

Changed in linux:
status: Incomplete → Invalid

Please, keep this bug open. I can report the same issue. Same ubuntu and kernel version, on a laptop ASUS M6842NEUH and its optical non-wireless stock mouse (model MO13UO).

I used to have a Gentoo installation before switching to Ubuntu, and the issue was not present on the previous distro. I didn't tweaked the HID configuration on the Gentoo installation: the mouse worked fine "out of the box".

A sample of the /var/log/messages goes...

Aug 29 01:06:20 ikki kernel: [17530.800262] usb 2-1: USB disconnect, address 26
Aug 29 01:06:21 ikki kernel: [17531.194710] usb 2-1: new low speed USB device using uhci_hcd and address 27
Aug 29 01:06:21 ikki kernel: [17531.351452] usb 2-1: configuration #1 chosen from 1 choice
Aug 29 01:06:21 ikki kernel: [17531.375519] input: HID 0461:4d03 as /devices/pci0000:00/0000:00:1d.1/usb2/2-1/2-1:1.0/input/input30
Aug 29 01:06:21 ikki kernel: [ 6566.570370] input,hidraw0: USB HID v1.00 Mouse [HID 0461:4d03] on usb-0000:00:1d.1-1

SteffenS (sschmidt-tuebingen) wrote :

Again, same problem: I use a USB switch and my mouse settings (left-handed mouse) will be reset when switching back to ubuntu

usb 4-1.2: new full speed USB device using ehci_hcd and address 61
usb 4-1.2: configuration #1 chosen from 1 choice
hub 4-1.2:1.0: USB hub found
hub 4-1.2:1.0: 3 ports detected
usb 4-1.2.2: new low speed USB device using ehci_hcd and address 62
usb 4-1.2.2: configuration #1 chosen from 1 choice
input: Mitsumi Electric Apple Optical USB Mouse as /class/input/input60
input,hidraw0: USB HID v1.10 Mouse [Mitsumi Electric Apple Optical USB Mouse] on usb-0000:00:1a.7-1.2.2
usb 4-1.2.3: new full speed USB device using ehci_hcd and address 63
usb 4-1.2.3: configuration #1 chosen from 1 choice
input: Mitsumi Electric Apple Extended USB Keyboard as /class/input/input61
input,hidraw1: USB HID v1.10 Keyboard [Mitsumi Electric Apple Extended USB Keyboard] on usb-0000:00:1a.7-1.2.3
input: Mitsumi Electric Apple Extended USB Keyboard as /class/input/input62
input,hidraw3: USB HID v1.10 Device [Mitsumi Electric Apple Extended USB Keyboard] on usb-0000:00:1a.7-1.2.3

Changed in linux:
status: Invalid → Confirmed
Matthew Carpenter (matt-eisgr) wrote :

My MacbookPro 4,1 still suffers from periodic disconnect/reconnects in Karmic. If I wait approx 2 secs they reconnect and I move on. Funkiness abounds. Periodically the NIC also drops connection, possibly with the same cause. As you can see from the input### it's happened a few times.

[509732.293194] hub 7-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
[509732.293200] usb 7-2: USB disconnect, address 74
[509732.330116] bcm5974: bcm5974: could not read from device
[509732.330122] bcm5974: mode switch failed
[509732.732594] usb 7-2: new full speed USB device using uhci_hcd and address 75
[509732.991337] usb 7-2: configuration #1 chosen from 1 choice
[509733.021578] input: Apple, Inc. Apple Internal Keyboard / Trackpad as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.0/input/input155
[509733.021662] apple 0003:05AC:0230.0094: input,hidraw1: USB HID v1.11 Keyboard [Apple, Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:1d.2-2/input0
[509733.508665] apple 0003:05AC:0230.0095: hidraw2: USB HID v1.11 Device [Apple, Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:1d.2-2/input1
[509733.520167] input: bcm5974 as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.2/input/input156
[509734.292619] hub 7-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
[509734.292626] usb 7-2: USB disconnect, address 75
[509734.470095] bcm5974: bcm5974: could not read from device
[509734.810236] usb 7-2: new full speed USB device using uhci_hcd and address 76
[509735.031833] usb 7-2: configuration #1 chosen from 1 choice
[509735.063204] input: Apple, Inc. Apple Internal Keyboard / Trackpad as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.0/input/input157
[509735.063284] apple 0003:05AC:0230.0096: input,hidraw1: USB HID v1.11 Keyboard [Apple, Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:1d.2-2/input0
[509735.290614] usb 7-2: ctrl urb status -75 received
[509735.290707] apple 0003:05AC:0230.0097: hidraw2: USB HID v1.11 Device [Apple, Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:1d.2-2/input1
[509735.300209] input: bcm5974 as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.2/input/input158
[509735.300346] hub 7-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
[509735.300350] usb 7-2: USB disconnect, address 76
[509735.720691] TKIP: RX tkey->key_idx=2 frame keyidx=1 priv=ffff8800b1c699c0
[509735.774045] usb 7-2: new full speed USB device using uhci_hcd and address 77
[509735.978757] usb 7-2: configuration #1 chosen from 1 choice
[509735.988575] input: Apple, Inc. Apple Internal Keyboard / Trackpad as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.0/input/input159
[509735.988667] apple 0003:05AC:0230.0098: input,hidraw1: USB HID v1.11 Keyboard [Apple, Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:1d.2-2/input0
[509736.494685] apple 0003:05AC:0230.0099: hidraw2: USB HID v1.11 Device [Apple, Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:1d.2-2/input1
[509736.496737] input: bcm5974 as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.2/input/input160
[509759.376062] TKIP: RX tkey->key_idx=2 frame keyidx=1 priv=ffff8800b1c699c0

antage (antage) wrote :

I have same bug with Logitech G9x:

[ 4940.713492] hub 3-0:1.0: port 1 disabled by hub (EMI?), re-enabling...
[ 4940.713496] usb 3-1: USB disconnect, address 4
[ 4941.160041] usb 3-1: new full speed USB device using ohci_hcd and address 5
[ 4941.379535] usb 3-1: configuration #1 chosen from 1 choice
[ 4941.389586] input: Logitech G9x Laser Mouse as /devices/pci0000:00/0000:00:12.0/usb3/3-1/3-1:1.0/input/input8
[ 4941.389647] generic-usb 0003:046D:C066.0006: input,hidraw0: USB HID v1.11 Mouse [Logitech G9x Laser Mouse] on usb-0000:00:12.0-1/input0
[ 4941.401571] input: Logitech G9x Laser Mouse as /devices/pci0000:00/0000:00:12.0/usb3/3-1/3-1:1.1/input/input9
[ 4941.401636] generic-usb 0003:046D:C066.0007: input,hiddev96,hidraw1: USB HID v1.11 Keyboard [Logitech G9x Laser Mouse] on usb-0000:00:12.0-1/input1
[ 5675.968555] hub 3-0:1.0: port 1 disabled by hub (EMI?), re-enabling...
[ 5675.968559] usb 3-1: USB disconnect, address 5
[ 5676.400910] usb 3-1: new full speed USB device using ohci_hcd and address 6
[ 5676.621615] usb 3-1: configuration #1 chosen from 1 choice
[ 5676.631726] input: Logitech G9x Laser Mouse as /devices/pci0000:00/0000:00:12.0/usb3/3-1/3-1:1.0/input/input10
[ 5676.631776] generic-usb 0003:046D:C066.0008: input,hidraw0: USB HID v1.11 Mouse [Logitech G9x Laser Mouse] on usb-0000:00:12.0-1/input0
[ 5676.643563] input: Logitech G9x Laser Mouse as /devices/pci0000:00/0000:00:12.0/usb3/3-1/3-1:1.1/input/input11
[ 5676.643622] generic-usb 0003:046D:C066.0009: input,hiddev96,hidraw1: USB HID v1.11 Keyboard [Logitech G9x Laser Mouse] on usb-0000:00:12.0-1/input1

Jens Askengren (jens-askengren) wrote :

I experience this a lot with a Microsoft 5-Button Mouse with IntelliEye(TM).

This happens about every 10 minutes, but sometimes more often.
Really deadly when playing first person shooter games!

Mar 27 00:41:03 dolores kernel: [ 2553.655079] usb 2-1: input irq status -75 received
Mar 27 00:41:03 dolores kernel: [ 2553.836575] usb 2-1: USB disconnect, address 13
Mar 27 00:41:04 dolores kernel: [ 2554.100525] usb 2-1: new low speed USB device using uhci_hcd and address 14
Mar 27 00:41:04 dolores kernel: [ 2554.287237] usb 2-1: configuration #1 chosen from 1 choice
Mar 27 00:41:04 dolores kernel: [ 2554.306802] input: Microsoft Microsoft 5-Button Mouse with IntelliEye(TM) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input18
Mar 27 00:41:04 dolores kernel: [ 2554.306935] generic-usb 0003:045E:0039.000F: input,hidraw0: USB HID v1.10 Mouse [Microsoft Microsoft 5-Button Mouse with IntelliEye(TM)] on usb-0000:00:1d.0-1/input0
Mar 27 00:41:06 dolores kernel: [ 2556.343177] usb 2-1: input irq status -75 received
Mar 27 00:41:06 dolores kernel: [ 2556.552170] usb 2-1: USB disconnect, address 14
Mar 27 00:41:07 dolores kernel: [ 2557.292074] usb 2-1: new low speed USB device using uhci_hcd and address 15
Mar 27 00:41:07 dolores kernel: [ 2557.500177] usb 2-1: configuration #1 chosen from 1 choice
Mar 27 00:41:07 dolores kernel: [ 2557.522515] input: Microsoft Microsoft 5-Button Mouse with IntelliEye(TM) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input19

quantenemitter (quantenemitter) wrote :

usb logitech: similar problems. However, the usb reset does not seem to work:
[ 9624.680271] /build/buildd/linux-2.6.32/drivers/hid/usbhid/hid-core.c: can't reset device, 0000:00:1d.7-4.4.3/input0, status -71

Jeremy Foshee (jeremyfoshee) wrote :

Thomas,
    Please open a new bug for your issue. I think it should go without saying that 'similar' is not 'exactly the same'

Thanks!

~JFo

raketenman (sesselastronaut) wrote :

i've disconnect/reconnect problems with the keyboard & mouse on a MacbookPro 4,1 - i filled out this bug report:
https://bugs.launchpad.net/ubuntu/+bug/601132

I also have this problem on a Dell Inspiron 6400 with a Logitech USB optical Mouse. I've tried passing usbcore.autosuspend=0 to the kernel, but it wouldn't help.

Here's my dmesg output:

[ 92.281175] generic-usb: probe of 0003:046D:C00B.0007 failed with error -71
[ 92.464128] usb 5-1: USB disconnect, address 8
[ 92.708042] usb 5-1: new low speed USB device using uhci_hcd and address 9
[ 92.885281] usb 5-1: configuration #1 chosen from 1 choice
[ 98.122143] generic-usb: probe of 0003:046D:C00B.0008 failed with error -71
[ 98.304097] usb 5-1: USB disconnect, address 9
[ 98.544064] usb 5-1: new low speed USB device using uhci_hcd and address 10
[ 98.773304] usb 5-1: configuration #1 chosen from 1 choice
[ 103.967116] generic-usb: probe of 0003:046D:C00B.0009 failed with error -71
[ 104.149472] usb 5-1: USB disconnect, address 10
[ 104.392176] usb 5-1: new low speed USB device using uhci_hcd and address 11
[ 104.567265] usb 5-1: configuration #1 chosen from 1 choice
[ 104.644849] input: Logitech USB Mouse as /devices/pci0000:00/0000:00:1d.3/usb5/5-1/5-1:1.0/input/input14
[ 104.645079] generic-usb 0003:046D:C00B.000A: input,hidraw0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb-0000:00:1d.3-1/input0
[ 105.056094] usb 5-1: USB disconnect, address 11
[ 105.328045] usb 5-1: new low speed USB device using uhci_hcd and address 12
[ 105.502283] usb 5-1: configuration #1 chosen from 1 choice
[ 105.552763] input: Logitech USB Mouse as /devices/pci0000:00/0000:00:1d.3/usb5/5-1/5-1:1.0/input/input15
[ 105.553029] generic-usb 0003:046D:C00B.000B: input,hidraw0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb-0000:00:1d.3-1/input0
[ 105.948137] usb 5-1: USB disconnect, address 12
[ 106.212073] usb 5-1: new low speed USB device using uhci_hcd and address 13
[ 106.386231] usb 5-1: configuration #1 chosen from 1 choice
[ 111.587054] generic-usb: probe of 0003:046D:C00B.000C failed with error -71
[ 111.756070] usb 5-1: USB disconnect, address 13
[ 111.996072] usb 5-1: new low speed USB device using uhci_hcd and address 14
[ 112.172272] usb 5-1: configuration #1 chosen from 1 choice
[ 112.200476] input: Logitech USB Mouse as /devices/pci0000:00/0000:00:1d.3/usb5/5-1/5-1:1.0/input/input16
[ 112.200629] generic-usb 0003:046D:C00B.000D: input,hidraw0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb-0000:00:1d.3-1/input0
[ 142.752123] usb 5-1: USB disconnect, address 14
[ 143.040079] usb 5-1: new low speed USB device using uhci_hcd and address 15
[ 143.214124] usb 5-1: configuration #1 chosen from 1 choice
[ 143.294589] input: Logitech USB Mouse as /devices/pci0000:00/0000:00:1d.3/usb5/5-1/5-1:1.0/input/input17
[ 143.294798] generic-usb 0003:046D:C00B.000E: input,hidraw0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb-0000:00:1d.3-1/input0

I can now confirm that switching to a different USB mouse has fixed this, so it definitely seems to be a hardware issue.

Changed in linux (Ubuntu):
status: Confirmed → Invalid

I have the same problem with Ubuntu 10.04 LTS, Linux 2.6.32-22-generic x86_64, Logitech MX 300. Mouse freezes for 1-2 seconds, then works again. From syslog, I can see mouse disconnecting and connecting again. I'm going to test with another mouse if it's a hardware problem.

Quite a few users are seeing this: http://www.google.com/search?q=usb+mouse+keeps+disconnecting+%22USB+disconnect%22

Andrew Fenn (andrewfenn) wrote :

I am getting this problem also on Maverick but not Lucid with the same mouse. I'm still testing but it seems to be happening with the keyboard too to a lesser degree. I think it happens more with high disk IO.

I have attached my kern.log
Linux icarus 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 19:00:26 UTC 2011 i686 GNU/Linux

Changed in linux (Ubuntu):
status: Invalid → New
Andrew Fenn (andrewfenn) wrote :

Scratch that it's not related to disk IO at all the mouse is slowing down my whole computer.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 243707

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Vince (befree) wrote :

I've the same problem in Macbook Pro 3.1 with Ubuntu 11.04.

kernel: [ 2839.482286] usb 7-2: input irq status -75 received
kernel: [ 2839.520243] hub 7-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
kernel: [ 2839.520255] usb 7-2: USB disconnect, address 3
kernel: [ 2839.521295] appletouch: atp_complete: usb_submit_urb failed with result -19
kernel: [ 2839.576393] input: appletouch disconnected
kernel: [ 2839.860186] usb 7-2: new full speed USB device using uhci_hcd and address 4
kernel: [ 2840.080331] input: Apple Computer Apple Internal Keyboard / Trackpad as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.0/input/input15
kernel: [ 2840.080594] apple 0003:05AC:021B.0008: input,hidraw0: USB HID v1.11 Keyboard [Apple Computer Apple Internal Keyboard / Trackpad] on usb-000
0:00:1d.2-2/input0
kernel: [ 2840.086195] appletouch: Geyser mode initialized.
kernel: [ 2840.086371] input: appletouch as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.1/input/input16
kernel: [ 2840.092401] input: Apple Computer Apple Internal Keyboard / Trackpad as /devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.2/input/input17
kernel: [ 2840.092644] apple 0003:05AC:021B.0009: input,hidraw1: USB HID v1.11 Device [Apple Computer Apple Internal Keyboard / Trackpad] on usb-0000:
00:1d.2-2/input2
CRON[3874]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
kernel: [ 3472.097303] appletouch: OVERFLOW with data length 64, actual length is 0
kernel: [ 3472.168205] hub 7-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
kernel: [ 3472.168219] usb 7-2: USB disconnect, address 4
kernel: [ 3472.228335] input: appletouch disconnected

Vince (befree) wrote :

Related to my previous comment (#18).. It seems a Macbook Pro hardware related problem..

The little orange cable in the battery slot seems to pull out.. Simply putting something on the top, to make the battery sustain the cable.

More info here:
http://jasonrobb.com/v2/2008/11/24/macbook-pro-unresponsive-keyboard-trackpad-solution/

Michael A Baikov (pacak) wrote :

 The same problem with 12.04, Razer Imperator mouse, worked fine with previous version of ubuntu (don't remember which one). Sometimes it can be couple of hours between reconnects, sometimes it's every 10 seconds.

Oct 4 11:01:25 goldfrapp kernel: [163854.956202] usb 3-2: new full-speed USB device number 81 using xhci_hcd
Oct 4 11:01:25 goldfrapp mtp-probe: checking bus 3, device 81: "/sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-2"
Oct 4 11:01:25 goldfrapp kernel: [163855.038618] input: Razer Razer Imperator as /devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-2/3-2:1.0/input/input157
Oct 4 11:01:25 goldfrapp kernel: [163855.038987] generic-usb 0003:1532:002F.008F: input,hidraw2: USB HID v1.11 Mouse [Razer Razer Imperator] on usb-0000:03:00.0-2/inpu
t0
Oct 4 11:01:25 goldfrapp mtp-probe: bus: 3, device: 81 was not an MTP device
Oct 4 11:01:25 goldfrapp kernel: [163855.062507] input: Razer Razer Imperator as /devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-2/3-2:1.1/input/input158
Oct 4 11:01:25 goldfrapp kernel: [163855.062706] generic-usb 0003:1532:002F.0090: input,hidraw3: USB HID v1.11 Keyboard [Razer Razer Imperator] on usb-0000:03:00.0-2/i
nput1
Oct 4 11:02:56 goldfrapp kernel: [163945.965552] usb 3-2: USB disconnect, device number 81
Oct 4 11:02:57 goldfrapp kernel: [163946.533324] usb 3-2: new full-speed USB device number 82 using xhci_hcd
Oct 4 11:02:57 goldfrapp mtp-probe: checking bus 3, device 82: "/sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-2"
Oct 4 11:02:57 goldfrapp kernel: [163946.615939] input: Razer Razer Imperator as /devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-2/3-2:1.0/input/input159
Oct 4 11:02:57 goldfrapp kernel: [163946.616281] generic-usb 0003:1532:002F.0091: input,hidraw2: USB HID v1.11 Mouse [Razer Razer Imperator] on usb-0000:03:00.0-2/inpu
t0
Oct 4 11:02:57 goldfrapp mtp-probe: bus: 3, device: 82 was not an MTP device
Oct 4 11:02:57 goldfrapp kernel: [163946.639836] input: Razer Razer Imperator as /devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-2/3-2:1.1/input/input160
Oct 4 11:02:57 goldfrapp kernel: [163946.640091] generic-usb 0003:1532:002F.0092: input,hidraw3: USB HID v1.11 Keyboard [Razer Razer Imperator] on usb-0000:03:00.0-2/i
nput1
Oct 4 11:03:25 goldfrapp kernel: [163974.991776] usb 3-2: USB disconnect, device number 82

Changed in linux (Ubuntu):
status: Expired → Confirmed

molgrum, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/243707/comments/1 regarding this being a hardware problem. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

tags: added: hardy needs-kernel-logs needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments